package net.sf.itcb.common.client.security.provider;

import org.springframework.security.core.userdetails.UserDetails;

/**
 * This interface has to be used in subclass whose aim is to provide the logged in user associated to this transaction.
 *  
 * @author Pierre Le Roux
 */
public interface SecurementCredentialsProvider {

	public UserDetails getUserCredentials() throws Throwable;
	
}
